EulerOS 2.0 SP2:patch (EulerOS-SA-2019-2428)

medium Nessus Plugin ID 131582
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 EulerOS 主機缺少多個安全性更新。

描述

根據安裝的 patch 套件版本,遠端主機上安裝的 EulerOS 會受到下列弱點影響:- GNU 修補程式 2.7.2 和更舊版本允許遠端攻擊者透過特製的 diff 檔案,造成拒絕服務 (記憶體耗用和分割錯誤)。(CVE-2014-9637) - 在 GNU 修補程式 2.7.6 之前版本中發現一個問題。在 pch.c 的 pch_write_line() 內的越界存取可能會透過特製的輸入檔導致 DoS。(CVE-2016-10713) - GNU 修補程式 2.7.1 允許遠端攻擊者透過修補程式檔案中的符號連結攻擊,寫入任意檔案。(CVE-2015-1196) 請注意,Tenable Network Security 已直接從 EulerOS 安全性公告擷取前置描述區塊。Tenable 已盡量在不造成其他問題的前提下,嘗試自動清理並將其格式化。

解決方案

更新受影響的修補程式套件。

另請參閱

http://www.nessus.org/u?520fd0f6

Plugin 詳細資訊

嚴重性: Medium

ID: 131582

檔案名稱: EulerOS_SA-2019-2428.nasl

版本: 1.5

類型: local

已發布: 2019/12/4

已更新: 2021/1/6

相依性: ssh_get_info.nasl

風險資訊

CVSS 評分資料來源: CVE-2015-1196

VPR

風險因素: Low

分數: 3.6

CVSS v2

風險因素: Medium

基本分數: 4.3

時間分數: 3.2

媒介: AV:N/AC:M/Au:N/C:N/I:P/A:N

時間媒介: E:U/RL:OF/RC:ND

CVSS v3

風險因素: Medium

基本分數: 5.5

時間分數: 4.8

媒介: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:huawei:euleros:patch, cpe:/o:huawei:euleros:2.0

必要的 KB 項目: Host/local_checks_enabled, Host/EulerOS/release, Host/EulerOS/rpm-list, Host/EulerOS/sp

排除在外的 KB 項目: Host/EulerOS/uvp_version

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2019/12/4

參考資訊

CVE: CVE-2014-9637, CVE-2015-1196, CVE-2016-10713

BID: 72074, 72286